# std::unary_negate< Predicate > Class Template Reference
[Negators]

One of the negation functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::unary_negate< Predicate >:

[legend]
Collaboration diagram for std::unary_negate< Predicate >:

[legend]
List of all members.

## Public Types

typedef Predicate::argument_type | argument_type
| `argument_type` is the type of the
typedef bool | result_type
| `result_type` is the return type

## Detailed Description

### template<class Predicate>
class std::unary_negate< Predicate >

One of the negation functors.

Definition at line 312 of file stl_function.h.

## Member Typedef Documentation

typedef Predicate::argument_type std::unary_function< Predicate::argument_type , bool >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef bool std::unary_function< Predicate::argument_type , bool >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h